/*********************************************************************************/
/* Name: chf_lcd.c																 */
/*	    																		 */
/* Author: Christof Leeb													     */
/*																				 */
/* Verwendungszeck: stellt formatierte Texte zur Ausgabe auf einem LCD bereit    */
/*********************************************************************************/
#include "main.h"

#define _DIV_(x) ((float)(x)/100) //wandelt x in float um und verschiebt Komma

/*Forwarddeclaration***********************************************/
void write_string(char * s, unsigned char line);
void wait(unsigned int w);						
void clear_display(void);
/******************************************************************/

/*Globale Variablen************************************************/
static unsigned char wert[100]; //Hilfsvariabel -> String
static unsigned int zaehler1; //Hilfsvariabel -> Zhler
static float tfl; //Hilfsvariabel
/******************************************************************/

void hello_text(void)
{	 
	clear_display();
 	write_string("****************",1);
	write_string("** Temperatur **",2);
 	write_string("* ueberwachung *",3);
 	write_string("****************",4);
	zaehler1=0;
	while(zaehler1<=20)
	{
		zaehler1++;
	 	wait(10000);
	}
}

void temp1_text(void)
{	 
	clear_display();
	write_string("****************",1);
 	write_string("* Tempwert. 1  *",2);
 	write_string("*         GradC*",3);
 	write_string("****************",4);
	tfl = _DIV_(temp_1);
    sprintf (wert,"%2.2f",tfl); //tfl wird in string (=wert) umgewandelt
	write_string(wert,5); //der string wert wird auf position 5 geschrieben
	zaehler1=0;
	while(zaehler1<=20)
	{
		zaehler1++;
	 	wait(10000);
	}
}

void temp2_text(void)
{
	clear_display();
 	write_string("****************",1);
 	write_string("* Tempwert. 2  *",2);
 	write_string("*         GradC*",3);
 	write_string("****************",4);
	tfl = _DIV_(temp_2);
    sprintf (wert,"%2.2f",tfl);
	write_string(wert,5);
	zaehler1=0;
	while(zaehler1<=20)
	{
		zaehler1++;
	 	wait(10000);
	}
}

void temp3_text(void)
{
	clear_display();
 	write_string("****************",1);
 	write_string("* Tempwert. 3  *",2);
 	write_string("*         GradC*",3);
 	write_string("****************",4);
	tfl = _DIV_(temp_3);
    sprintf (wert,"%2.2f",tfl);
	write_string(wert,5);
	zaehler1=0;
	while(zaehler1<=20)
	{
		zaehler1++;
	 	wait(10000);
	}
}

void temp_average_text(void)
{
	clear_display();
 	write_string("****************",1);
 	write_string("* Tempwert. ds *",2);
 	write_string("*         GradC*",3);
 	write_string("****************",4);
	zaehler1=0;
	tfl = _DIV_(temp_mid);
    sprintf (wert,"%2.2f",tfl);
	write_string(wert,5);
	while(zaehler1<=20)
	{
		zaehler1++;
	 	wait(10000);
	}
}

void maxtemp_text(void)
{
	clear_display();
 	write_string("****************",1);
 	write_string("* Tempwert. max*",2);
 	write_string("*         GradC*",3);
 	write_string("****************",4);
	tfl = _DIV_(temp_max);
    sprintf (wert,"%2.2f",tfl);
	write_string(wert,5);
	zaehler1=0;
	while(zaehler1<=20)
	{
		zaehler1++;
	 	wait(10000);
	}
}


