/*********************************************************************************/
/* Name: chf_taster.c															 */
/*	    																		 */
/* Author: Christof Leeb													     */
/*																				 */
/* Verwendungszeck: initialisierung von T6 und von Port 8    					 */
/*********************************************************************************/
#include "main.h"

void init_T6(void)
{
	T6CON = 0x0005;			/* T6I   = 101b > 12,8 s (840ms period)
							/* T6M   = 000b > Timer Mode
							/* T6R   = 0b   > Timer3 Run Bit " 0-stops the timer"
							/* T6UD  = 0b   > Count down
							/* T6UDE = 0b   > External up down control 
							/* T6OE  = 0b   > Alternate output funktion disabled
							/* T6OTL = 0b   >  */

	T6  = 0x0000;
}

void IO(void)
{
	/*    PORT 8      */
	P8   = 0x0000; 
 	DP8  = 0x0000;
 	ODP8 = 0x0000;
}
