/*********************************************************************************/
/* Name: main.c						   										 	 */
/*	    																		 */
/* Author: Huber Michael u. Christof Leeb									     */
/*																				 */
/* Verwendungszeck: Hauptprrogramm und Interrupt							     */
/*********************************************************************************/
#include "main.h"


/*Globale Variablen************************************************/
unsigned int min_count = 0; //minutenzhler -> wird jede min um 1 erht
unsigned int mflag = 0;  //minutenflag
unsigned int tast_check = 1;


/*Interrupt********************************************************/

void ISR_Timer2(void) interrupt 0x22
{
	min_count++;  //minuntenzhler wird erht
  	T2 = 0x0005;  //timer2 wird mit xx reloaded
  	mflag = 1; //minutenflag wird 1 -> tempmessung kann jetzt beginnen
}

/*void ISR_ASC0Receive(void) interrupt 0x2B
{
  	S0TBUF = temp_c;
}
/******************************************************************/


void main(void)
{
  	Project_Init();
  	T3R = 1; //start timer3
  	T2R = 1; //start timer2
    
  	hello_text();
  	measure();
  
  	while(1)
  	{ 	
    	while (1) if(taste_01 || taste_02 || taste_03 || mflag) break;

		if (mflag)
		{ 
	  		mflag = 0;
	  		measure();
      		//printf( "\nTempC= %d degrees C\n", temp_mid);
	  		printf( "\nb1= %d degrees C\n", temp_2);
	  		printf( "\nb2= %d degrees C\n", temp_3);
    	}
    
 		if (taste_02) tast_check++;
 		if (taste_03) tast_check--;
		if (tast_check > 6) tast_check = 2;
		if (tast_check < 2) tast_check = 6;

		switch(tast_check)
		{
	  		case 1: hello_text(); break;
	  		case 2: temp1_text(); break;
	  		case 3: temp2_text(); break;
	  		case 4: temp3_text(); break;
	  		case 5: temp_average_text(); break;
	  		case 6: maxtemp_text(); break;
		}
    	wait (1000);
  	}
}
