#include <reg167.h>                    /* include 80C167 header file          */
#include <intrins.h>
#include <stdio.h>
#include <absacc.h>
#include <string.h>


extern void Project_Init(void);
extern unsigned int min_count;

/*MIC_RELAIS.C*****************************************************/
extern void init_relais(void);
extern void brkp1_relais(unsigned int nr1);
extern void brkp2_relais(unsigned int nr2);
/******************************************************************/

/*MIC_USEFULL_DS1820.C*********************************************/
extern void rd_temp(void);

extern unsigned int temp_1;
extern unsigned int temp_2;
extern unsigned int temp_3;
/******************************************************************/


/*MIC_MEASURE.C****************************************************/
extern void measure(void);

extern unsigned int temp_mid;
extern unsigned int temp_max;

extern unsigned int brkp1; //Grenztemperatur 1
extern unsigned int brkp2; //Grenztemperatur 2
/******************************************************************/

/*CHF_LCD.C********************************************************/
extern void hello_text(void);
extern void temp1_text(void);
extern void temp2_text(void);
extern void temp3_text(void);
extern void temp_average_text(void);
extern void maxtemp_text(void);
/******************************************************************/

/*CHF_USEFULL_LCD.C************************************************/
extern void init_display(void);
extern void wait(unsigned int w);

#define _LCD_CNTL MVAR (unsigned char, 0x800000) //A1=0(Befehlsregister)
#define _LCD_DATA MVAR (unsigned char, 0x800002) //A1=1(Datenregister)
/******************************************************************/


/*CHF_TASTER.C*****************************************************/
extern void init_taster(void);
extern void init_T6(void);
extern void IO(void);


sbit taste_03 = P8^1;
sbit taste_02 = P8^3;
sbit taste_01 = P8^5;

sbit DP80 = DP8^1;
sbit DP82 = DP8^3;
sbit DP84 = DP8^5;
/******************************************************************/	

